package com.ruoyi.platform.domain;

import com.fasterxml.jackson.databind.PropertyNamingStrategy;
import com.fasterxml.jackson.databind.annotation.JsonNaming;
import com.ruoyi.platform.annotations.CheckDuplicate;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;
import java.io.Serializable;

/**
 * (Dataset)实体类
 *
 * @author Xidaray
 * @since 2023-11-28 11:51:22
 */

@JsonNaming(PropertyNamingStrategy.SnakeCaseStrategy.class)
public class Dataset implements Serializable {
    private static final long serialVersionUID = 918442714458737041L;
    @ApiModelProperty(name = "id")
    private Integer id;

    @CheckDuplicate
    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "描述")
    private String description;

    /**
     * 是否公开: 1公开，0私有
     */
    @ApiModelProperty(value = "是否公开：1公开，0私有")
    private int availableRange;

    /**
     * 数据集类型
     */
    @ApiModelProperty(value = "数据集类型")
    private String dataType;

    /**
     * 数据集标签
     */
    @ApiModelProperty(value = "数据集标签")
    private String dataTag;

    /**
     * 创建者
     */
    @ApiModelProperty(value = "创建者")
    private String createBy;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 更新者
     */
    @ApiModelProperty(value = "更新者")
    private String updateBy;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    /**
     * 状态，0失效，1生效
     */
    @ApiModelProperty(value = "状态：0失效，1生效")
    private Integer state;

    @ApiModelProperty(value = "数据集类型名字")
    private String datasetTypeName;

    @ApiModelProperty(value = "数据集tag名字")
    private String datasetTagName;



    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description;
    }

    public int getAvailableRange() {
        return availableRange;
    }

    public void setAvailableRange(int availableRange) {
        this.availableRange = availableRange;
    }

    public void setDescription(String description) {
        this.description = description;
    }


    public String getDataType() {
        return dataType;
    }

    public void setDataType(String dataType) {
        this.dataType = dataType;
    }
    public String getDataTag() {
        return dataTag;
    }

    public void setDataTag(String dataTag) {
        this.dataTag = dataTag;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public String getDatasetTypeName() {
        return datasetTypeName;
    }

    public String getDatasetTagName() {
        return datasetTagName;
    }

    public void setDatasetTagName(String datasetTagName) {
        this.datasetTagName = datasetTagName;
    }

    public void setDatasetTypeName(String datasetTypeName) {
        this.datasetTypeName = datasetTypeName;
    }

}

